Package org.silverpeas.components.gallery.process

## Class AbstractGalleryDataProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractDataProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.AbstractGalleryDataProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
  Direct Known Subclasses:
    `GalleryCreateMediaDataProcess`, `GalleryDeindexMediaDataProcess`, `GalleryDeleteMediaDataProcess`, `GalleryIndexMediaDataProcess`, `GalleryPasteMediaDataProcess`, `GalleryUpdateMediaDataProcess`

      public abstract class AbstractGalleryDataProcess
      extends org.silverpeas.core.process.management.AbstractDataProcess<org.silverpeas.core.process.management.ProcessExecutionContext>

  Author:
    Yohann Chastagnier

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractGalleryDataProcess​(Media media)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createMedia​(String albumId, org.silverpeas.core.process.management.ProcessExecutionContext context)` |
    `protected GalleryContentManager` | `getGalleryContentManager()` |
    `protected GalleryService` | `getGalleryService()` |
    `protected org.silverpeas.core.contribution.content.form.record.GenericRecordSetManager` | `getGenericRecordSetManager()` | Gets an instance of a GenericRecordSet objects manager.
    `protected Media` | `getMedia()` |
    `protected org.silverpeas.core.admin.service.OrganizationController` | `getOrganisationController()` |
    `protected org.silverpeas.core.contribution.template.publication.PublicationTemplateManager` | `getPublicationTemplateManager()` | Gets an instance of PublicationTemplateManager.
    `protected String` | `getXMLFormName​(org.silverpeas.core.process.management.ProcessExecutionContext context)` | Gets an XML form name if it exists for the media
    `void` | `process​(org.silverpeas.core.process.management.ProcessExecutionContext processExecutionContext, org.silverpeas.core.process.session.ProcessSession session)` |
    `protected abstract void` | `processData​(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session)` |
    `protected void` | `updateMedia​(boolean updateTechnicalDataRequired, org.silverpeas.core.process.management.ProcessExecutionContext context)` |

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractDataProcess

      `getProcessType`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure, onSuccessful`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGalleryDataProcess

          protected AbstractGalleryDataProcess​(Media media)

  - ### Method Detail

    - #### process

          public final void process​(org.silverpeas.core.process.management.ProcessExecutionContext processExecutionContext,
                                    org.silverpeas.core.process.session.ProcessSession session)
                             throws Exception

      Throws:
        `Exception`

    - #### processData

          protected abstract void processData​(org.silverpeas.core.process.management.ProcessExecutionContext context,
                                              org.silverpeas.core.process.session.ProcessSession session)
                                       throws Exception

      Throws:
        `Exception`

    - #### getGalleryService

          protected GalleryService getGalleryService()

    - #### getMedia

          protected Media getMedia()

    - #### getGalleryContentManager

          protected GalleryContentManager getGalleryContentManager()

    - #### getGenericRecordSetManager

          protected org.silverpeas.core.contribution.content.form.record.GenericRecordSetManager getGenericRecordSetManager()

      Gets an instance of a GenericRecordSet objects manager.
      Returns:
        a GenericRecordSetManager instance.

    - #### getPublicationTemplateManager

          protected org.silverpeas.core.contribution.template.publication.PublicationTemplateManager getPublicationTemplateManager()

      Gets an instance of PublicationTemplateManager.
      Returns:
        an instance of PublicationTemplateManager.

    - #### getXMLFormName

          protected String getXMLFormName​(org.silverpeas.core.process.management.ProcessExecutionContext context)

      Gets an XML form name if it exists for the media
      Parameters:
        `context` - execution context
      Returns:
        the XML form name

    - #### createMedia

          protected void createMedia​(String albumId,
                                     org.silverpeas.core.process.management.ProcessExecutionContext context)
                              throws Exception

      Throws:
        `Exception`

    - #### updateMedia

          protected void updateMedia​(boolean updateTechnicalDataRequired,
                                     org.silverpeas.core.process.management.ProcessExecutionContext context)
                              throws Exception

      Throws:
        `Exception`

    - #### getOrganisationController

          protected org.silverpeas.core.admin.service.OrganizationController getOrganisationController()